[Rubygems-developers] [CruiseControl] RubyGems build 2486 failed

devnull+rubygems-ci at pivotallabs.com devnull+rubygems-ci at pivotallabs.com
Tue Apr 20 13:56:55 EDT 2010


The build failed.

CHANGES
-------
New revision 2486 detected
Revision 2486 committed by drbrain on 2010-04-20 17:40:44
Ruby bug #3103
  M /trunk/lib/rubygems/remote_fetcher.rb
  M /trunk/ChangeLog



TEST FAILURES AND ERRORS
-----------------------
Name: test_class_from_file_by_path(TestGemFormat)
Type: Failure
Message: Expected "pl-1-i386-linux", not "pl-1-x86-linux".

./test/test_gem_format.rb:27


Name: test_generate_index_legacy_back_to_back(TestGemIndexer)
Type: Failure
Message: /tmp/test_rubygems_21261/quick/pl-1-i386-linux.gemspec.rz does not exist

./test/test_gem_indexer.rb:380


Name: test_generate_index_modern_back_to_back(TestGemIndexer)
Type: Failure
Message: /tmp/test_rubygems_21261/quick/pl-1-i386-linux.gemspec.rz does not exist

./test/test_gem_indexer.rb:476


Name: test_generate_index(TestGemIndexer)
Type: Failure
Message: Expected "a-1\na-2\na-3.a\na_evil-9\nb-2\nc-1.2\nd-2.0\nd-2.0.a\nd-2.0.b\npl-1-i386-linux\n", not "a-1\na-2\na-3.a\na_evil-9\nb-2\nc-1.2\nd-2.0\nd-2.0.a\nd-2.0.b\n".

./test/test_gem_indexer.rb:124


Name: test_generate_index_ui(TestGemIndexer)
Type: Failure
Message: Expected /^\.\.\.\.\.\.\.\.\.\.$/ to match "Loading 10 gems from /tmp/test_rubygems_21261\n.........\nLoaded all gems\nloaded: 0.014s\nGenerating Marshal quick index gemspecs for 9 gems\n.........\nComplete\nGenerated Marshal quick index gemspecs: 0.026s\nGenerating YAML quick index gemspecs for 9 gems\n......\nComplete\nGenerated YAML quick index gemspecs: 0.019s\nGenerating quick index\nGenerated quick index: 0.000s\nGenerating latest index\nGenerated latest index: 0.000s\nGenerating Marshal master index\nGenerated Marshal master index: 0.001s\nGenerating YAML master index for 9 gems (this may take a while)\n.........\nComplete\nGenerated YAML master index: 0.024s\nGenerating specs index\nGenerated specs index: 0.000s\nGenerating latest specs index\nGenerated latest specs index: 0.000s\nGenerating prerelease specs index\nGenerated prerelease specs index: 0.000s\nGenerated rss: 0.001s\nCompressing indicies\nCompressed indicies: 0.032s\n".

./test/test_gem_indexer.rb:495


Name: test_generate_index_legacy(TestGemIndexer)
Type: Failure
Message: /tmp/test_rubygems_21261/quick/pl-1-i386-linux.gemspec.rz does not exist

./test/test_gem_indexer.rb:326


Name: test_generate_index_specs(TestGemIndexer)
Type: Failure
Message: Expected [["a", Gem::Version.new("1"), "ruby"],
 ["a", Gem::Version.new("2"), "ruby"],
 ["a_evil", Gem::Version.new("9"), "ruby"],
 ["b", Gem::Version.new("2"), "ruby"],
 ["c", Gem::Version.new("1.2"), "ruby"],
 ["d", Gem::Version.new("2.0"), "ruby"],
 ["pl", Gem::Version.new("1"), "i386-linux"]], not [["a", Gem::Version.new("1"), "ruby"],
 ["a", Gem::Version.new("2"), "ruby"],
 ["a_evil", Gem::Version.new("9"), "ruby"],
 ["b", Gem::Version.new("2"), "ruby"],
 ["c", Gem::Version.new("1.2"), "ruby"],
 ["d", Gem::Version.new("2.0"), "ruby"]].

./test/test_gem_indexer.rb:554


Name: test_generate_index_latest_specs(TestGemIndexer)
Type: Failure
Message: Expected [["a", Gem::Version.new("2"), "ruby"],
 ["a_evil", Gem::Version.new("9"), "ruby"],
 ["b", Gem::Version.new("2"), "ruby"],
 ["c", Gem::Version.new("1.2"), "ruby"],
 ["d", Gem::Version.new("2.0"), "ruby"],
 ["pl", Gem::Version.new("1"), "i386-linux"]], not [["a", Gem::Version.new("2"), "ruby"],
 ["a_evil", Gem::Version.new("9"), "ruby"],
 ["b", Gem::Version.new("2"), "ruby"],
 ["c", Gem::Version.new("1.2"), "ruby"],
 ["d", Gem::Version.new("2.0"), "ruby"]].

./test/test_gem_indexer.rb:588


Name: test_to_yaml_platform_legacy(TestGemSpecification)
Type: Failure
Message: Expected "powerpc-darwin7.9.0", not "powerpc-darwin-7".

./test/test_gem_specification.rb:914




See http://ci.pivotallabs.com:3333/builds/RubyGems/2486 for details.


More information about the Rubygems-developers mailing list